#!/bin/sh

# UserFS
numb=`ubinfo /dev/ubi0 -N Userfs | grep "Volume ID:" | awk '{print $3}'`
if [ "${numb}" != "" ] ; then
    rm -rf /mnt/Userfs/*
    umount /dev/ubi0_${numb}
    ubiupdatevol /dev/ubi0_${numb} -t
    mount -t ubifs /dev/ubi0_${numb} /mnt/Userfs
    mkdir -p /mnt/Userfs/data
fi
